<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: hybrid_solver_func_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">hybrid_solver_func_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aa2a6ac2d73ff3defdc714a8f16394cda"><td class="memItemLeft" align="right" valign="top">recursive subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__solver__func__m.html#aa2a6ac2d73ff3defdc714a8f16394cda">hybrid_var_init</a> (hybrid, vdf)</td></tr>
<tr class="separator:aa2a6ac2d73ff3defdc714a8f16394cda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ff35d093084e372824884e66bf6410"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__solver__func__m.html#a84ff35d093084e372824884e66bf6410">update_hybrid_std_rho</a> (hybrid_info, sd)</td></tr>
<tr class="separator:a84ff35d093084e372824884e66bf6410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4a7f0c947d5b60132e70ac698d8d854"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__solver__func__m.html#ab4a7f0c947d5b60132e70ac698d8d854">update_hybrid_grid_list</a> (hybrid, cv_flag, sd)</td></tr>
<tr class="separator:ab4a7f0c947d5b60132e70ac698d8d854"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1546734fbf844fe2c39f27d5e9965852"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacehybrid__solver__func__m.html#a1546734fbf844fe2c39f27d5e9965852">reset_hybrid_grid_list</a> (hybrid, sd)</td></tr>
<tr class="separator:a1546734fbf844fe2c39f27d5e9965852"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="aa2a6ac2d73ff3defdc714a8f16394cda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2a6ac2d73ff3defdc714a8f16394cda">&#9670;&nbsp;</a></span>hybrid_var_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">recursive subroutine, public hybrid_solver_func_m::hybrid_var_init </td>
          <td>(</td>
          <td class="paramtype">type(hybrid_var_t), intent(inout)&#160;</td>
          <td class="paramname"><em>hybrid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__solver__func__m_aa2a6ac2d73ff3defdc714a8f16394cda_icgraph.png" border="0" usemap="#namespacehybrid__solver__func__m_aa2a6ac2d73ff3defdc714a8f16394cda_icgraph" alt=""/></div>
<map name="namespacehybrid__solver__func__m_aa2a6ac2d73ff3defdc714a8f16394cda_icgraph" id="namespacehybrid__solver__func__m_aa2a6ac2d73ff3defdc714a8f16394cda_icgraph">
<area shape="rect" id="node2" href="namespacevdf__dp__density__m.html#a8da7f317f8ecde7c74d893deb7700cb9" title="vdf_dp_density_m::disp\l_ph_register_part" alt="" coords="185,171,345,213"/>
<area shape="rect" id="node3" href="namespacevdf__func.html#a4423322a3938f8c83bd277111afbee93" title="vdf_func::vdf_register\l_data_primary" alt="" coords="393,171,541,213"/>
<area shape="rect" id="node4" href="namespacearts__func.html#a24f560f380c1df354d954255fdf28072" title="arts_func::arts_register_data" alt="" coords="589,55,777,81"/>
<area shape="rect" id="node8" href="namespacecfd__func.html#a1bd7ba2a0ab846a5936adb94ed31de3c" title="cfd_func::cfd_register\l_data_primary" alt="" coords="609,138,757,179"/>
<area shape="rect" id="node19" href="namespacevdf__disp__ph__solver__m.html#a3361ba63a3d4ea4c2ac00a34033fe1c7" title="vdf_disp_ph_solver\l_m::disp_ph_register_data" alt="" coords="596,203,771,245"/>
<area shape="rect" id="node20" href="namespacevdf__func.html#a87bba7eeac25df4457b0c0c6e56172a8" title="vdf_func::vdf_register_data" alt="" coords="593,376,773,403"/>
<area shape="rect" id="node5" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="845,11,985,53"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1053,12,1217,39"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1332,5,1376,32"/>
<area shape="rect" id="node9" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc" title="arts_cf_func::arts\l_cf_register_data" alt="" coords="853,89,977,130"/>
<area shape="rect" id="node12" href="namespacecfd__func.html#a441aca3b8b843693ef99e45141839e9d" title="cfd_func::cfd_register_data" alt="" coords="825,180,1005,207"/>
<area shape="rect" id="node10" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1071,79,1199,121"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1323,56,1385,83"/>
<area shape="rect" id="node13" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="1064,173,1207,214"/>
<area shape="rect" id="node18" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1265,238,1443,279"/>
<area shape="rect" id="node14" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1281,107,1427,149"/>
<area shape="rect" id="node16" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1283,173,1425,214"/>
<area shape="rect" id="node15" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1491,115,1587,141"/>
<area shape="rect" id="node17" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1493,180,1585,207"/>
<area shape="rect" id="node21" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="851,337,979,378"/>
<area shape="rect" id="node26" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="834,402,997,443"/>
<area shape="rect" id="node28" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="851,467,979,509"/>
<area shape="rect" id="node22" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1071,300,1199,327"/>
<area shape="rect" id="node24" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1075,351,1196,393"/>
<area shape="rect" id="node23" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1325,304,1383,331"/>
<area shape="rect" id="node25" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1317,359,1391,385"/>
<area shape="rect" id="node27" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1086,417,1185,444"/>
<area shape="rect" id="node29" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="1071,475,1199,501"/>
<area shape="rect" id="node30" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1325,475,1383,501"/>
</map>
</div>

</div>
</div>
<a id="a1546734fbf844fe2c39f27d5e9965852"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1546734fbf844fe2c39f27d5e9965852">&#9670;&nbsp;</a></span>reset_hybrid_grid_list()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_solver_func_m::reset_hybrid_grid_list </td>
          <td>(</td>
          <td class="paramtype">type(hybrid_var_t), intent(inout)&#160;</td>
          <td class="paramname"><em>hybrid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4a7f0c947d5b60132e70ac698d8d854"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4a7f0c947d5b60132e70ac698d8d854">&#9670;&nbsp;</a></span>update_hybrid_grid_list()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_solver_func_m::update_hybrid_grid_list </td>
          <td>(</td>
          <td class="paramtype">type(hybrid_var_t), intent(inout)&#160;</td>
          <td class="paramname"><em>hybrid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(sd%imino_:,sd%jmino_:,sd%kmino_:), intent(inout)&#160;</td>
          <td class="paramname"><em>cv_flag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__solver__func__m_ab4a7f0c947d5b60132e70ac698d8d854_icgraph.png" border="0" usemap="#namespacehybrid__solver__func__m_ab4a7f0c947d5b60132e70ac698d8d854_icgraph" alt=""/></div>
<map name="namespacehybrid__solver__func__m_ab4a7f0c947d5b60132e70ac698d8d854_icgraph" id="namespacehybrid__solver__func__m_ab4a7f0c947d5b60132e70ac698d8d854_icgraph">
<area shape="rect" id="node2" href="namespacemp__tension__m.html#aaaf670efc53aa4fd17d2f579b49a561a" title="mp_tension_m::mp_curvature\l_update_fd" alt="" coords="235,5,429,47"/>
<area shape="rect" id="node8" href="namespacemp__tension__m.html#a3df9b25fd4b70ca30e9fd927c6f243dd" title="mp_tension_m::mp_curvature\l_update_height_fn" alt="" coords="235,71,429,112"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#a1bba7e031c916327d7e9bf2da976e4d4" title="mp_tension_m::mp_curvature\l_update_height_normal" alt="" coords="235,136,429,177"/>
<area shape="rect" id="node10" href="vdf__dp__density__m_8f90.html#a84470343a8bfca03f8dcc677f440a1de" title="update_cv_flag_vof" alt="" coords="265,202,399,229"/>
<area shape="rect" id="node12" href="vdf__dp__density__m_8f90.html#a2210c88781d957d7181f96a7cd77ad9c" title="update_hybrid_interface_cvs" alt="" coords="238,253,426,279"/>
<area shape="rect" id="node3" href="namespacemp__tension__m.html#a5d5913072a1db99dbeed93f96199fd1f" title="mp_tension_m::mp_curvature\l_update" alt="" coords="477,71,672,112"/>
<area shape="rect" id="node4" href="namespacemp__tension__m.html#a7e1ba4c308468c7f4274ae4fac4d9331" title="mp_tension_m::mp_tension\l_update" alt="" coords="720,71,903,112"/>
<area shape="rect" id="node5" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="951,37,1133,79"/>
<area shape="rect" id="node6" href="namespacemp__tension__m.html#aa40b741d9150503871535d687a206348" title="mp_tension_m::mp_tension\l_explicit" alt="" coords="951,103,1133,144"/>
<area shape="rect" id="node7" href="namespacemp__tension__m.html#ab91a30c59c327dbff2c9ab2f69060788" title="mp_tension_m::mp_modify\l_pressure_rhs" alt="" coords="1181,103,1360,144"/>
<area shape="rect" id="node11" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="499,220,650,261"/>
</map>
</div>

</div>
</div>
<a id="a84ff35d093084e372824884e66bf6410"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ff35d093084e372824884e66bf6410">&#9670;&nbsp;</a></span>update_hybrid_std_rho()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public hybrid_solver_func_m::update_hybrid_std_rho </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structhybrid__solver__defs__m_1_1hybrid__solver__info__t.html">hybrid_solver_info_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>hybrid_info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacehybrid__solver__func__m_a84ff35d093084e372824884e66bf6410_icgraph.png" border="0" usemap="#namespacehybrid__solver__func__m_a84ff35d093084e372824884e66bf6410_icgraph" alt=""/></div>
<map name="namespacehybrid__solver__func__m_a84ff35d093084e372824884e66bf6410_icgraph" id="namespacehybrid__solver__func__m_a84ff35d093084e372824884e66bf6410_icgraph">
<area shape="rect" id="node2" href="namespacevdf__dp__density__m.html#a7badd0ba17face61280fca2cb2ef7fe0" title="vdf_dp_density_m::dp\l_density_scalar_step" alt="" coords="232,5,383,47"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
